# opentl::input::ImageSequence Class Reference

Inherits opentl::input::ImageSensor, and opentl::input::FileSequence.

List of all members.

## Public Member Functions
virtual void | captureNext ()
virtual void | captureStart ()
virtual void | captureStop ()
virtual void | close ()
| closes the connection to the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class
virtual long | getTimeStamp ()
virtual const opentl::core::cvdata::Image & | image ()
| returns current frame
| ImageSequence (opentl::math::Vector4 &distCoeff, opentl::math::SquareMatrix &intrinsic)
| ImageSequence ()
virtual void | init (std::string dir, std::string extension, std::string prefix="")
virtual void | init ()
virtual void | open ()
| opens the connection to the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class
virtual | ~ImageSequence ()

## Constructor & Destructor Documentation

opentl::input::ImageSequence::ImageSequence | ( |  | ) |

opentl::input::ImageSequence::ImageSequence | ( | opentl::math::Vector4 & | distCoeff,
|  | opentl::math::SquareMatrix & | intrinsic |
| ) |  |  |

virtual opentl::input::ImageSequence::~ImageSequence | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void opentl::input::ImageSequence::captureNext | ( |  | ) | `[virtual]`

Implements opentl::input::FileSequence.

virtual void opentl::input::ImageSequence::captureStart | ( |  | ) | `[inline, virtual]`

Reimplemented from opentl::input::FileSequence.

virtual void opentl::input::ImageSequence::captureStop | ( |  | ) | `[inline, virtual]`

Reimplemented from opentl::input::FileSequence.

virtual void opentl::input::ImageSequence::close | ( |  | ) | `[inline, virtual]`

closes the connection to the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class

Reimplemented from opentl::input::FileSequence.

virtual long opentl::input::ImageSequence::getTimeStamp | ( |  | ) | `[virtual]`

Implements opentl::input::FileSequence.

virtual const opentl::core::cvdata::Image& opentl::input::ImageSequence::image | ( |  | ) | `[virtual]`

returns current frame

Reimplemented from opentl::input::ImageSensor.

virtual void opentl::input::ImageSequence::init | ( | std::string | dir,
|  | std::string | extension,
|  | std::string | prefix = `""` |
| ) |  |  | `[inline, virtual]`

Reimplemented from opentl::input::FileSequence.

virtual void opentl::input::ImageSequence::init | ( |  | ) | `[inline, virtual]`

Initialize the sensor. By default

- files are read from the current directory (dir = "."),
- prefixes of filenames have zero length (prefix = ""),
- file extension is arbitrary (extension = "")

Reimplemented from opentl::input::FileSequence.

virtual void opentl::input::ImageSequence::open | ( |  | ) | `[virtual]`

opens the connection to the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class

Reimplemented from opentl::input::FileSequence.